<?php
function inventoryusereditor_getmoduleinfo(){
	$info = array(
		"name"=>"Inventory Viewer for Admins",
		"author"=>"`2R`@o`ghe`2n `Qvon `2Fa`@lk`genbr`@uch",
		"version"=>"0.1",
		"category"=>"Administrative",
		"download"=>"http://www.lotgd.de/downloads/inventoryusereditor.zip",
	);
	return $info;
}

function inventoryusereditor_install(){
	module_addhook("modifyuserview");
	return true;
}

function inventoryusereditor_uninstall(){
	return true;
}

function inventoryusereditor_dohook($hookname, $args){
	global $session;
	switch($hookname) {
		case "modifyuserview":
			if($session['user']['superuser'] & SU_EDIT_USERS) {
				tlschema("user");
				addnav("Operations");
				tlschema();
				addnav("Inventory ndern","runmodule.php?module=inventoryusereditor&user=" .$args['user']['acctid']);
			}
			break;
	}
	return $args;
}

function inventoryusereditor_run() {
	global $session;
	page_header("User Inventory Viewer");
	output('`^`bInventory of this player`b`0');

	require_once("lib/superusernav.php");
	superusernav();

	$user=httpget('user');
	addnav("Editor");
	addnav("to the editor","user.php?op=edit&userid=" . $user);
	addnav("refresh","runmodule.php?module=inventoryusereditor&user=" . $user);
	
	$item=db_prefix("item");
	$inventory=db_prefix("inventory");

	//fire actions
	$op=httpget('op');
	$itemid=httpget('item');

	switch($op) {
		case 'add':
			//give an item
			require_once("lib/itemhandler.php");
			add_item_by_id($itemid,1,$user);
			break;
		case 'remove':
			$last=httpget('last');
			$sql="DELETE FROM $inventory WHERE userid=$user AND itemid=$itemid AND invid= $last LIMIT 1";
			db_query($sql);
			output("`n`7affected rows: `^%s`0`n",db_affected_rows());
			break;
		case 'removeall':
			$sql="DELETE FROM $inventory WHERE userid=$user AND itemid=$itemid";
			db_query($sql);
			output("`n`7affected rows: `^%s`0`n",db_affected_rows());
			break;
	}
	$sql = "SELECT $item.itemid, $item.name, $item.class, MAX($inventory.invid) AS equipped, COUNT($inventory.equipped) AS quantity, $inventory.userid AS userid
				FROM $item
				LEFT JOIN $inventory ON $inventory.itemid = $item.itemid AND $inventory.userid = $user
				GROUP BY $item.itemid
				ORDER BY $item.class ASC, $item.name ASC";
	$result=db_query($sql);
	$class="";
	$baselink="runmodule.php?module=inventoryusereditor&user=" . $user . "&item=";
	
	rawoutput("<table border=0 cellspacing=0 cellpadding=0>");
	rawoutput("<tr class='trhead'><td>", true);
	output_notl(translate_inline("Item Nr."));
	rawoutput("</td><td>");
	output_notl(translate_inline("Item"));
	rawoutput("</td><td>");
	output_notl(translate_inline("Count"));
	rawoutput("</td><td>");
	output_notl(translate_inline("Options"));
	rawoutput("</td></tr>");



	while ($row = db_fetch_assoc($result)) {
		if ($class != $row['class']) {
			//writeout class
			rawoutput("<tr class='trhead'><td colspan=4>", true);
			rawoutput("<a name='{$row['class']}'></a>");
			output_notl($row['class']);
			rawoutput("</td></tr>");
			$class=$row['class'];
			$v = 0;
		}
		
		$v++;
		rawoutput('<tr class="' . ($v%2?"trlight":"trdark").'"><td>', true);
		output_notl($row['itemid']);
		rawoutput("</td><td>");
		output_notl($row['name'] . "`0");
		rawoutput("</td><td>");
		output_notl($row['quantity']);
		rawoutput("</td><td>");

		rawoutput("<a href='$baselink{$row['itemid']}&op=add#{$row['class']}'>" . translate_inline("add") . "</a>");
		addnav("",$baselink . $row['itemid'] . "&op=add#{$row['class']}");
		if ($row['userid']===$user) {
			output_notl(" :: ");
			rawoutput("<a href='$baselink{$row['itemid']}&last={$row['equipped']}&op=remove#{$row['class']}'>" . translate_inline("remove") . "</a> :: ");
			rawoutput("<a href='$baselink{$row['itemid']}&op=removeall#{$row['class']}'>" . translate_inline("remove all") . "</a> ");

			addnav("",$baselink . $row['itemid'] . "&last=" . $row['equipped'] . "&op=remove#{$row['class']}");
			addnav("",$baselink . $row['itemid'] . "&op=removeall#{$row['class']}");
		}
		rawoutput("</td></tr>");



	}
	rawoutput("</table");	

	page_footer();
}
?>